Skip to main content
GET
Fetch a Specific Transaction

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

transaction
string
required

The id or the vid of the Transaction to retrieve

Response

JSON A full Transaction object.

The Transaction object provides a way to charge a customer. You can create one-time transactions, retrieve individual transactions, fetch individual transactions, and list all Transactions for a given account or subscription. Posting with a new Transaction creates a new one-time Transaction object. If “to_be_captured” is false, the request will trigger an authorization attempt (based on the provided payment method’s authorization process). If successfully authorized, a subsequent post to the transaction’s actions/capture endpoint will capture the authorized transaction. If you post a new transaction with “to_be_captured” true, it will authorize and immediately capture the transaction if successful. To refund transactions, use the refunds endpoint.

object
enum<string>

Value is “Transaction”

Available options:
Transaction
id
string

A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128
vid
string

A Globally Unique Identifier (GUID) for this object. This value is generated by Vindicia.

Maximum string length: 128
created
string<datetime>

The time this transaction was initiated.

amount
number

The net amount of the charge presented by this transaction, as a decimal. Must be positive (zero allowed).

original_amount
number

Used with a partial payment; this read-only field reflects the original amount of the transaction, as a decimal.

currency
string

The ISO 4217 Currency Code of this transaction

division_number
string

The CSP’s division, reporting or processing group as defined with their payment processor.

previous_id
string

The identifier of a previous version of this transaction.

account
object

The Account represents a merchant’s customer. As such it can contain as much or as little information as you collect about the customers (people or organizations) to which you offer billing and subscriptions. Subscriptions and Transactions must belong to an Account - as such, Accounts will be required in CashBox for billing. Read More in our User Guide

An Account can have any number of children accounts and may have up to one parent account. Read more in our User Guide.

An Account owns the “on file” payment methods to be used by it in billing.

source_payment_method
object
dest_payment_method
object
ecp_transaction_type
enum<string>

For ECP/ACH-specific types.

Available options:
All,
Inbound,
InboundOutbound,
NA,
Outbound,
Transfer
status_log
object[]

A log of various TransactionStatus entries associated with this transaction.

payment_processor
string

The payment processor used for processing this transaction.

payment_processor_transaction_id
string

The identifier assigned to the Transaction by the Payment Processor.

shipping_address
object

The Address object represents a physical or mailing address.

metadata
object

A set of key/value pairs that you can attach to an object. Useful for storing additional information. For transactions resulting from a subscription, the metadata is also inherited from the subscription.

items
object[]

The array of Transaction Items belonging to this transaction. Items correspond to the charges, discounts, credits, and taxes.

affiliate
string

CSP’s ID for the channel or affiliate associated with this transaction, if any. This is a free-form string of 128 characters or less.

sub_affiliate
string

Affiliate ID for a more granular channel component (see CSP_affiliate_id).

user_agent
string

Information on the source of the transaction, such as the Customer’s user-agent string, as presented by the browser.

preferred_notification_language
string

ISO language code string. Transaction value will override any language setting on the account.

source_mac_address
string

MAC address of the customer (primarily intended for ISP usage), may be left blank if unavailable or inappropriate.

source_ip
string

End-customer’s source IP associated with this transaction.

billing_descriptor
string

Optional “soft descriptor” to send to the payment processor for this transaction.

sales_tax_address
object

The Address object represents a physical or mailing address.

verification_code
string

External verification response (e.g. Verified by Visa, MasterCard SecureCode).

subscription_sequence
integer

The subscription’s billing cycle for which this transaction collects funds. As a zero-based index, this indicates the renewal number.

billing_plan_sequence
integer

The billing cycle for which this transaction collects funds - as counted as a zero-based index from the last billing plan change for the associated subscription.

mandate
object

The mandates object represents the end-custom approval for a one-time or recurring billing using their provided bank account details. A common requirement for UK and SEPA direct debit payment methods.

original_billing_date
string<datetime>

The original scheduled billing date associated with the billing for which this transaction collects funds. For an initial attempt, this is the same as the transaction date; for a retry transaction this is the original attempt date.

billing_attempt
integer

The zero-based index counting the number of transaction attempts this particular transaction represents in collecting for given subscription billing cycle.

subscription
object
score
integer

The chargeback and fraud risk score generated by Vindicia.

score_calculated
string<datetime>

The datetime the score was calculated.

score_calculated_orig
string<datetime>

The datetime the score was originally calculated.

score_codes
object[]

The reason codes justifying the risk score.

distance_ip_ba
number

The distance from the IP Address to the Billing Address.

avs_code
string

AVS Code

cvn_code
string

CVN Code.

cvn_checked
boolean

Shows if the CVN was checked for this transaction.

policy
object

The policy object governing how a Transaction is to be processed.

to_be_captured
boolean

Indicator of whether the transaction is currently pending capture.

payment_provider_response
string

The response from the payment provider and the applicable action to take. Common responses are:

  • Successful: Approved: The Payment Provider has accepted the transaction.
  • Soft Failure: Decline: A payment capture attempt has failed but may indicate that an additional attempt may succeed, such as when the customer has insufficient funds. The classification of the type of fail is performed according to the error code returned by the payment provider and follows industry standards and recommendations.
  • Hard Failure: Reject: A payment capture attempt has failed and indicates that additional attempts will subsequently fail, such as when the account has been terminated. The classification of the type of fail is performed according to the error code returned by the payment provider. Hard fails are not resubmitted for capture.